## org.hibernate.cache.infinispan
Class TypeOverrides

    java.lang.Object
      org.hibernate.cache.infinispan.TypeOverrides

Direct Known Subclasses:
  TimestampTypeOverrides

    public class TypeOverrides

extends Object

This class represents Infinispan cache parameters that can be configured via hibernate configuration properties for either general entity/collection/query/timestamp data type caches and overrides for individual entity or collection caches. Configuration these properties override previously defined properties in XML file.

Since:
  3.5
Author:
  Galder Zamarreño

Constructor Summary
`TypeOverrides()`

Method Summary
`org.infinispan.config.Configuration` `createInfinispanConfiguration()`
`String` `getCacheName()`
`int` `getEvictionMaxEntries()`
`org.infinispan.eviction.EvictionStrategy` `getEvictionStrategy()`
`long` `getEvictionWakeUpInterval()`
`long` `getExpirationLifespan()`
`long` `getExpirationMaxIdle()`
`boolean` `isExposeStatistics()`
`void` `setCacheName(String cacheName)`
`void` `setEvictionMaxEntries(int evictionMaxEntries)`
`void` `setEvictionStrategy(String evictionStrategy)`
`void` `setEvictionWakeUpInterval(long evictionWakeUpInterval)`
`void` `setExpirationLifespan(long expirationLifespan)`
`void` `setExpirationMaxIdle(long expirationMaxIdle)`
`void` `setExposeStatistics(boolean isExposeStatistics)`
`String` `toString()`
`void` `validateInfinispanConfiguration(org.infinispan.config.Configuration configuration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeOverrides

    public TypeOverrides()

Method Detail

### getCacheName

    public String getCacheName()

### setCacheName

    public void setCacheName(String cacheName)

### getEvictionStrategy

    public org.infinispan.eviction.EvictionStrategy getEvictionStrategy()

### setEvictionStrategy

    public void setEvictionStrategy(String evictionStrategy)

### getEvictionWakeUpInterval

    public long getEvictionWakeUpInterval()

### setEvictionWakeUpInterval

    public void setEvictionWakeUpInterval(long evictionWakeUpInterval)

### getEvictionMaxEntries

    public int getEvictionMaxEntries()

### setEvictionMaxEntries

    public void setEvictionMaxEntries(int evictionMaxEntries)

### getExpirationLifespan

    public long getExpirationLifespan()

### setExpirationLifespan

    public void setExpirationLifespan(long expirationLifespan)

### getExpirationMaxIdle

    public long getExpirationMaxIdle()

### setExpirationMaxIdle

    public void setExpirationMaxIdle(long expirationMaxIdle)

### isExposeStatistics

    public boolean isExposeStatistics()

### setExposeStatistics

    public void setExposeStatistics(boolean isExposeStatistics)

### createInfinispanConfiguration

    public org.infinispan.config.Configuration createInfinispanConfiguration()

### validateInfinispanConfiguration

    public void validateInfinispanConfiguration(org.infinispan.config.Configuration configuration)
                                         throws CacheException

  Throws:
    `CacheException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.